/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.exampleexpend.service;

import java.util.List;

import com.jeeplus.modules.exampleeconomics.entity.ExampleEconomics;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.exampleexpend.entity.ExampleExpend;
import com.jeeplus.modules.exampleexpend.dao.ExampleExpendDao;

/**
 * 主要工料价格及消耗量指标Service
 * @author ssrh
 * @version 2018-08-29
 */
@Service
@Transactional(readOnly = true)
public class ExampleExpendService extends CrudService<ExampleExpendDao, ExampleExpend> {
	@Autowired
	private ExampleExpendDao exampleExpendDao;
	public ExampleExpend get(String id) {
		return super.get(id);
	}

	public List<ExampleExpend> getCount(String companyId, String areaId, String dictId,String indexId) {
		return dao.getCount(companyId,areaId,dictId,indexId);
	}

	public List<ExampleExpend> findList(ExampleExpend exampleExpend) {
		return super.findList(exampleExpend);
	}
	
	public Page<ExampleExpend> findPage(Page<ExampleExpend> page, ExampleExpend exampleExpend) {
		return super.findPage(page, exampleExpend);
	}
	
	@Transactional(readOnly = false)
	public void save(ExampleExpend exampleExpend) {
		super.save(exampleExpend);
	}
	
	@Transactional(readOnly = false)
	public void delete(ExampleExpend exampleExpend) {
		super.delete(exampleExpend);
	}


	@Transactional(readOnly = false)
	public void delteByIndexId(String eId,String indexId) {
		exampleExpendDao.delteByIndexId(eId,indexId);
	}

	public ExampleExpend findExpend(ExampleExpend exampleExpend) {
		return dao.findExpend(exampleExpend);
	}
}